> ## Documentation Index
> Fetch the complete documentation index at: https://docs.caret.so/llms.txt
> Use this file to discover all available pages before exploring further.

# 폴더 목록 조회

> 워크스페이스의 모든 폴더 목록을 조회합니다

### 응답

<ResponseField name="folders" type="Folder[]">
  <Expandable title="Folder">
    <ResponseField name="id" type="string">
      폴더의 고유 식별자
    </ResponseField>

    <ResponseField name="name" type="string">
      폴더 이름
    </ResponseField>

    <ResponseField name="icon" type="string | null">
      폴더 아이콘
    </ResponseField>

    <ResponseField name="parentFolderId" type="string | null">
      상위 폴더 ID (루트 폴더인 경우 null)
    </ResponseField>

    <ResponseField name="createdAt" type="string">
      폴더가 생성된 ISO8601 타임스탬프
    </ResponseField>

    <ResponseField name="memberCount" type="number">
      폴더의 멤버 수
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash curl theme={null}

  curl --request GET \
   --url https://api.caret.so/v1/folders \
   --header 'Authorization: Bearer <your_api_key>'

  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "folders": [
      {
        "id": "fld_123456789",
        "name": "Project Alpha",
        "icon": "📁",
        "parentFolderId": null,
        "createdAt": "2024-01-28T12:00:00Z",
        "memberCount": 5
      },
      {
        "id": "fld_987654321",
        "name": "Research",
        "icon": "🔍",
        "parentFolderId": "fld_123456789",
        "createdAt": "2024-01-28T12:30:00Z",
        "memberCount": 3
      }
    ]
  }
  ```

  ```json 401 Unauthorized theme={null}
  {
    "error": {
      "code": "unauthorized",
      "message": "Invalid or missing API key"
    }
  }
  ```

  ```json 500 Internal Server Error theme={null}
  {
    "error": {
      "code": "internal_server_error",
      "message": "Failed to fetch folders"
    }
  }
  ```
</ResponseExample>
